Attribute VB_Name = "Module15"
Private Declare Function ECF_DataHoraUltimoDocumentoMFD Lib "CONVECF.DLL" (ByVal DataHora As String) As Integer
Private Declare Function ECF_DataHoraReducao Lib "CONVECF.DLL" (ByVal DataReducao As String, ByVal HoraReducao As String) As Integer
Private Declare Function ECF_DataMovimentoUltimaReducaoMFD Lib "CONVECF.DLL" (ByVal Data As String) As Integer
Private Declare Function ECF_InicioFimCOOsMFD Lib "CONVECF.DLL" (ByVal Inicial As String, ByVal Final As String) As Integer
Private Declare Function ECF_InicioFimGTsMFD Lib "CONVECF.DLL" (ByVal GTInicial As String, ByVal GTFinal As String) As Integer
Private Declare Function ECF_GrandeTotalUltimaReducaoMFD Lib "CONVECF.DLL" (ByVal GTotal As String) As Integer
Private Declare Function ECF_DadosUltimaReducao Lib "CONVECF.DLL" (ByVal DadosRed As String) As Integer
Private Declare Function ECF_MapaResumoMFD Lib "CONVECF.DLL" () As Integer

Function DataHoraUltimoDocumento()
    Dim DH As String
    
    DH = Space(12)
    retorno = ECF_DataHoraUltimoDocumentoMFD(DH)
    
    MsgBox " 'Data e Hora do Último Documento' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Data do Último Documento: " & Left(DH, 6)
    Form1.List1.AddItem "Hora do Último Documento: " & Right(DH, 6)
End Function

Function DataHoraReducao()
    Dim Data As String, Hora As String
    
    Data = Space(6)
    Hora = Space(6)
    retorno = ECF_DataHoraReducao(Data, Hora)
    
    MsgBox " 'Data e Hora da Última Redução' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Data Última Redução:" & Data
    Form1.List1.AddItem "Hora Última Redução:" & Hora
End Function

Function DataMovimentoUltimaReducao()
    Dim DT As String
    
    DT = Space(6)
    retorno = ECF_DataMovimentoUltimaReducaoMFD(DT)
    
    MsgBox " 'Data de Movimento da Última Redução' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Data de Movimento da Última Redução: " & DT
End Function

Function COOInicialFinal()
    Dim Ini As String, Fin As String
    
    Ini = Space(6)
    Fin = Space(6)
    retorno = ECF_InicioFimCOOsMFD(Ini, Fin)
    
    MsgBox " 'COO Inicial e Final' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "COO Inicial: " & Ini
    Form1.List1.AddItem "COO Final: " & Fin
End Function

Function GTInicialFinal()
    Dim GTIni As String, GTFin As String
    
    GTIni = Space(18)
    GTFin = Space(18)
    retorno = ECF_InicioFimGTsMFD(GTIni, GTFin)
    
    MsgBox " 'GT Inicial e Final' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "GT Inicial: " & GTIni
    Form1.List1.AddItem "GT Final: " & GTFin
End Function

Function GTUltimaReducao()
    Dim GT As String
    
    GT = Space(18)
    retorno = ECF_GrandeTotalUltimaReducaoMFD(GT)
    
    MsgBox " 'GT da Última Redução' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "GT após a Redução: " & GT
End Function

Function DadosUltimaReducao()
    Dim Dados As String
    Dim pos As Integer, temp As String
    
    Dados = Space(1278)
    retorno = ECF_DadosUltimaReducao(Dados)
    
    Form1.List1.AddItem ""
    Form1.List1.AddItem " Dados da Última Redução:"
       
    pos = 1
    Do While pos > 0
            
            pos = InStr(1, Dados, ",")
            
            If pos > 0 Then
                temp = Left(Dados, pos - 1)
                Dados = Right(Dados, Len(Dados) - pos)
            
                Form1.List1.AddItem "    : " & temp
                I = I + 1
            End If
               
            
    Loop
    
    Form1.List1.AddItem "    : " & Dados
    Form1.List1.AddItem ""
End Function

Function MapaResumo()
        
    retorno = ECF_MapaResumoMFD()
    
    MsgBox " 'Geração do Mapa Resumo' " & vbCrLf & "Status: " & retorno
     
End Function
